Bug 167556 - StatSN value is not checked for the 3.x and 4.x drivers
Summary: StatSN value is not checked for the 3.x and 4.x drivers
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Mike Christie
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 170416
TreeView+ depends on / blocked
 
Reported: 2005-09-05 12:05 UTC by Smitha Narayanaswamy
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-21 16:24:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The 3.x patch fix for checking the StatSN value (12.71 KB, patch)
2005-09-05 12:05 UTC, Smitha Narayanaswamy
no flags Details | Diff
The 4.x patch fix for checking the StatSN value (8.42 KB, patch)
2005-09-05 12:06 UTC, Smitha Narayanaswamy
no flags Details | Diff
statsn checking addition patch from cisco (16.37 KB, patch)
2005-10-24 16:15 UTC, Mike Christie
no flags Details | Diff

Description Smitha Narayanaswamy 2005-09-05 12:05:29 UTC
Description of problem:
The driver does not look into the StatSN values and report an error incase of a
mismatch

Version-Release number of selected component (if applicable):
3.x and 4.x

How reproducible:
Always


Expected results:
StatSN value needs to be checked by the driver

Additional info:
This fix is important for Cisco's customer.

Comment 1 Smitha Narayanaswamy 2005-09-05 12:05:30 UTC
Created attachment 118463 [details]
The 3.x patch fix for checking the StatSN value

Comment 2 Smitha Narayanaswamy 2005-09-05 12:06:19 UTC
Created attachment 118464 [details]
The 4.x patch fix for checking the StatSN value

Comment 9 Mike Christie 2005-09-26 21:20:22 UTC
The patch needs work. Both need to be made so we can configre the old behaivior
back in.

For the RHEL4 version do not do this

 	case ISCSI_OP_REJECT:
-	        handle_reject(session, hdr, data);
+	        rc = handle_reject(session, hdr, data);
 		break;

Just do

if handle_reject
 		goto fail

like the existing code.

Also use 0 for success and some -Exxx value for error.


Comment 10 Mike Christie 2005-09-26 21:27:51 UTC
could you also put it in a function.

Comment 11 Mike Christie 2005-09-26 21:54:24 UTC
Also why is the check for a difference of one?

Comment 14 Mike Christie 2005-10-24 16:10:41 UTC
Changing Component to kernel. In the future please try to select
iscsi-initiator-utils for userspace problems and kernel for driver problems. If
there is a kernel and userspace change required then make two :(. iSCSI is
legacy Component from when it was all bundled in one rpm. Thanks.

Comment 15 Mike Christie 2005-10-24 16:11:42 UTC
Could you also make seperate bugs for RHEL3 and RHEL4 bugs - thanks.

Comment 16 Mike Christie 2005-10-24 16:15:50 UTC
Created attachment 120309 [details]
statsn checking addition patch from cisco

Patch to add statsn checking from cisco

Comment 20 RHEL Product and Program Management 2006-07-21 16:24:40 UTC
Development Management has reviewed and declined this request.  You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.